type: diagnostic_aggregator/GenericAnalyzer
analyzers:
  vision:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Vision
    remove_prefix:
      - "vision_supervisor"
    expected:
      - "cameras_vision1: vision_pipeline_diagnostic"
      - "cameras_vision1: vision_thumbnailer_component_zci"
      - "cameras_vision1: vision1_pipeline_zci"
      - "cameras_vision1: vision1_detection_tracking_zci"
      - "cameras_vision1: detection_tracking"
      - "cameras_vision1: image_monitor"
      - "cameras_vision1: vision1_image_monitor_zci"
      - "cameras_vision2: vision_pipeline_diagnostic"
      - "cameras_vision2: vision_thumbnailer_component_zci"
      - "cameras_vision2: vision2_pipeline_zci"
      - "cameras_vision2: vision2_detection_tracking_zci"
      - "cameras_vision2: detection_tracking"
      - "cameras_vision2: image_monitor"
      - "cameras_vision2: vision2_image_monitor_zci"
      - "vision_supervisor: Vision Persistence Node Orchestration"
      - "vision_supervisor: Vision ROS Diagnostic Aggregator Orchestration"
      - "vision_supervisor: supervisor_zci"
      - "vision_supervisor: supervisor_diagnostic"
